Bug 81642 - [MAINTAINER] mail/bogofilter: update to 0.94.13
Summary: [MAINTAINER] mail/bogofilter: update to 0.94.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yar Tikhiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-30 01:10 UTC by Matthias Andree
Modified: 2005-05-30 11:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2005-05-30 01:10:01 UTC
Supersedes: ports/81622, ports/81627 (please close both)

- Update to 0.94.13
  * iconv/unicode bugfixes
  * sqlite3 interface much more CPU efficient and faster now
  * bogofilter -q option to suppress printing of statistics
  (see share/doc/bogofilter/NEWS for details)
- convert WITHOUT_*/pre-everything messaging stuff (GSL, BASH) to OPTIONS
- add an OPTIONS switch for ICONV (experimental, default off),
  suggested by Yar Tikhiy.
- revise pkg-install message

New since ports/81627:
- use a more suitable LIBS/CPPFLAGS passing for sibling ports or
  when GSL=off ICONV=on is used.
- change wording of GSL OPTION.
- usurp ports/81622
  * reset -qdbm PORTREVISION
  * remove obsoleted bogofilter-qdbm/files/* patches
- deprecate bogofilter-tdb effective 2005-11-30

Removed files:
- bogofilter-qdbm/files/patch-graphcycle
- bogofilter-qdbm/files/patch-pathcycle

NOTE:
- russian/bogofilter is not touched by this patch and needs to be updated
  separately by its respective maintainer (CC'd).

Partially generated with FreeBSD Port Tools 0.63

Fix: Use this patch at /usr/ports/mail/ directory (it changes four bogofilter-*
ports)



### end of bogofilter patch ###--WPCwmovQNZVkGz93VrES2tqWbLph4Umq0dkvn4xyDrkte6ai
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN --exclude=CVS /usr/ports/mail/bogofilter/Makefile /usr/home/emma/ports/mail/bogofilter/Makefile
--- bogofilter/Makefile	Sun May 29 15:46:22 2005
+++ bogofilter/Makefile	Mon May 30 01:54:02 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	bogofilter
-PORTVERSION=	0.94.12
+PORTVERSION=	0.94.13
 PORTREVISION?=	0
 CATEGORIES?=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
@@ -15,13 +15,11 @@
 MAINTAINER?=	matthias.andree@gmx.de
 COMMENT=	Fast, teachable, learning spam detector
 
+OPTIONS=	BASH  "Install scripts that depend on the bash(1) shell" on
+OPTIONS+=	GSL   "Link with system-wide GSL dynamically (recommended)" on
+OPTIONS+=	ICONV "Normalize tokens to Unicode (EXPERIMENTAL)" off
+
 LIB_DEPENDS?=	db-4.3:${PORTSDIR}/databases/db43
-.if !defined(WITHOUT_GSL)
-LIB_DEPENDS+=	gsl:${PORTSDIR}/math/gsl
-.endif
-.if !defined(WITHOUT_BASH)
-RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
-.endif
 
 CONFLICTS?=	bogofilter-sqlite-[0-9]* bogofilter-tdb-[0-9]* bogofilter-qdbm-[0-9]* [a-z][a-z]-bogofilter-[0-9]* bogofilter-sqlite-[0-9]*
 
@@ -30,13 +28,28 @@
 USE_PERL5_RUN=	yes
 GNU_CONFIGURE=	yes
 PATCH_STRIP=	-p1
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_BASH)
+RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
+.endif
+
+BF_LIBS?=		-ldb-4.3
+BF_CPPFLAGS?=		-I${LOCALBASE}/include/db43 -I${LOCALBASE}/include
 CONFIGURE_ARGS+=	--sysconfdir=${PREFIX}/etc
-.if defined(WITHOUT_GSL)
+.if defined(WITH_ICONV)
+CONFIGURE_ARGS+=	--enable-iconv
+USE_ICONV=		yes
+BF_LIBS+=		-liconv
+.endif
+.if defined(WITH_GSL)
+LIB_DEPENDS+=		gsl:${PORTSDIR}/math/gsl
+.else
 CONFIGURE_ARGS+=	--with-included-gsl
 .endif
-CONFIGURE_ENV?=	CPPFLAGS="-I${LOCALBASE}/include/db43" \
-		LDFLAGS="-L${LOCALBASE}/lib" LIBS="-ldb-4.3"
-CONFIGURE_ENV+=	PERL="${PERL}"
+CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" LIBS="${BF_LIBS}" \
+		PERL="${PERL}" CPPFLAGS="${BF_CPPFLAGS}"
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 INSTALL_TARGET=	install-strip prefix=${PREFIX}
 
@@ -59,23 +72,6 @@
 PORTDOCS=	*
 .endif
 
-pre-everything::
-	@${ECHO_CMD} ""
-.if !defined(WITHOUT_BASH)
-	@${ECHO_CMD} "To install without bash dependency, you can use: make -DWITHOUT_BASH install"
-	@${ECHO_CMD} "Note that installing without bash dependency will mean that some of the"
-	@${ECHO_CMD} "${DOCSDIR}/contrib scripts will not be installed."
-	@${ECHO_CMD} ""
-.endif
-.if !defined(WITHOUT_GSL)
-	@${ECHO_CMD} "To have bogofilter link against its shipped GSL 1.4 statically,"
-	@${ECHO_CMD} "you can use: make -DWITHOUT_GSL && make -DWITHOUT_GSL install"
-.if !defined(WITHOUT_BASH)
-	@${ECHO_CMD} "or: make -DWITHOUT_GSL && make -DWITHOUT_GSL -DWITHOUT_BASH install"
-.endif
-	@${ECHO_CMD} ""
-.endif
-
 post-build::
 	cd ${WRKSRC} && make check SHELL=${SH}
 
@@ -109,7 +105,7 @@
 	${INSTALL_DATA} ${WRKSRC}/doc/programmer/README.freebsd ${DOCSDIR}/programmer
 	${INSTALL_DATA} ${FILESDIR}/ChangeLog.port ${DOCSDIR}
 .endif
-.if !defined(WITHOUT_BASH)
+.if defined(WITH_BASH)
 .for i in randomtrain scramble trainbogo.sh
 	${INSTALL_SCRIPT} ${WRKSRC}/contrib/${i} ${DOCSDIR}/contrib/
 .endfor
@@ -117,4 +113,4 @@
 .endif
 	${SETENV} PKG_PREFIX="${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN --exclude=CVS /usr/ports/mail/bogofilter/distinfo /usr/home/emma/ports/mail/bogofilter/distinfo
--- bogofilter/distinfo	Sat May 21 14:05:05 2005
+++ bogofilter/distinfo	Sun May 29 16:22:21 2005
@@ -1,2 +1,2 @@
-MD5 (bogofilter-0.94.12.tar.bz2) = 489337defebff75d8e2b46350e946752
-SIZE (bogofilter-0.94.12.tar.bz2) = 723385
+MD5 (bogofilter-0.94.13.tar.bz2) = 1b3c6f192a361f0825a3decaa7f65e6b
+SIZE (bogofilter-0.94.13.tar.bz2) = 724255
diff -ruN --exclude=CVS /usr/ports/mail/bogofilter/pkg-install /usr/home/emma/ports/mail/bogofilter/pkg-install
--- bogofilter/pkg-install	Sat Apr 10 01:54:16 2004
+++ bogofilter/pkg-install	Sun May 29 19:18:32 2005
@@ -5,7 +5,10 @@
 The recent bogofilter versions have undergone substantial changes that can
 affect compatibility and may require that you change your configuration.
 
-See the RELEASE.NOTES-* files that shipped with bogofilter for details.
+See the RELEASE.NOTES file that shipped with bogofilter for details,
+particularly the sections with headings [Incompat ...] and [Major ...]!
+
+It is also advisable to check the README.* file for your database driver.
 --------------------------------------------------------------------------
 
 _EOF
diff -Nur /usr/ports/mail/bogofilter-qdbm/Makefile bogofilter-qdbm/Makefile
--- bogofilter-qdbm/Makefile	Fri May 27 04:39:56 2005
+++ bogofilter-qdbm/Makefile	Mon May 30 01:54:29 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	bogofilter
-PORTREVISION=	5
+PORTREVISION=	0
 CATEGORIES=	mail
 PKGNAMESUFFIX=	-qdbm
 
@@ -17,8 +17,8 @@
 CONFLICTS=	bogofilter-[0-9]* bogofilter-tdb-[0-9]* [a-z][a-z]-bogofilter-[0-9]* bogofilter-sqlite-[0-9]*
 
 CONFIGURE_ARGS=	--with-database=qdbm
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+BF_CPPFLAGS=	-I${LOCALBASE}/include
+BF_LIBS=
 DESCR=		${PKGDIR}/pkg-descr
 
 PLIST_FILES=	bin/bogoQDBMupgrade
diff -Nur /usr/ports/mail/bogofilter-qdbm/files/patch-graphcycle bogofilter-qdbm/files/patch-graphcycle
--- bogofilter-qdbm/files/patch-graphcycle	Sat May 21 15:35:04 2005
+++ bogofilter-qdbm/files/patch-graphcycle	Thu Jan  1 01:00:00 1970
@@ -1,21 +0,0 @@
-diff -u -r1.127 Makefile.am
---- Makefile.am	8 May 2005 15:17:50 -0000	1.127
-+++ Makefile.am	21 May 2005 13:34:42 -0000
-@@ -153,7 +153,7 @@
- 		   datastore_txn_dummies.c datastore_opthelp_dummies.c
- else
- if ENABLE_QDBM_DATASTORE
--datastore_SOURCE = datastore_qdbm.h datastore_qdbm.c datastore_qdbm_cmpkey.c \
-+datastore_SOURCE = datastore_qdbm.c datastore_qdbm_cmpkey.c \
- 		   datastore_txn_dummies.c datastore_opthelp_dummies.c \
- 		   datastore_dummies.c
- 
-@@ -186,7 +186,7 @@
- 				datastore_db_trans.c \
- 				datastore_opthelp_dummies.c \
- 				datastore_txn_dummies.c \
--				datastore_qdbm.c \
-+				datastore_qdbm.h datastore_qdbm.c \
- 				datastore_tdb.c \
- 				datastore_sqlite.c
- 
diff -Nur /usr/ports/mail/bogofilter-qdbm/files/patch-pathcycle bogofilter-qdbm/files/patch-pathcycle
--- bogofilter-qdbm/files/patch-pathcycle	Tue May 24 20:48:32 2005
+++ bogofilter-qdbm/files/patch-pathcycle	Thu Jan  1 01:00:00 1970
@@ -1,32 +0,0 @@
---- a/src/Makefile.in	Sun May 22 12:43:51 2005
-+++ b/src/Makefile.in	Sun May 22 12:42:22 2005
-@@ -132,9 +132,8 @@
- 	xatof.c xatoi.c datastore_db.h mysetvbuf.c mysetvbuf.h \
- 	datastore_db.c datastore_db_trad.c datastore_db_trans.c \
- 	datastore_opthelp_dummies.c datastore_sqlite.c \
--	datastore_dummies.c datastore_qdbm.h datastore_qdbm.c \
--	datastore_qdbm_cmpkey.c datastore_txn_dummies.c \
--	datastore_tdb.c
-+	datastore_dummies.c datastore_qdbm.c datastore_qdbm_cmpkey.c \
-+	datastore_txn_dummies.c datastore_tdb.c
- @ENABLE_ICONV_FALSE@am__objects_1 = charset.$(OBJEXT)
- @ENABLE_ICONV_TRUE@am__objects_1 = charset_iconv.$(OBJEXT) \
- @ENABLE_ICONV_TRUE@	iconvert.$(OBJEXT)
-@@ -574,7 +575,7 @@
- @ENABLE_QDBM_DATASTORE_FALSE@@ENABLE_SQLITE_DATASTORE_TRUE@@ENABLE_TDB_DATASTORE_FALSE@datastore_SOURCE = datastore_sqlite.c datastore_opthelp_dummies.c \
- @ENABLE_QDBM_DATASTORE_FALSE@@ENABLE_SQLITE_DATASTORE_TRUE@@ENABLE_TDB_DATASTORE_FALSE@		   datastore_dummies.c
- 
--@ENABLE_QDBM_DATASTORE_TRUE@@ENABLE_TDB_DATASTORE_FALSE@datastore_SOURCE = datastore_qdbm.h datastore_qdbm.c datastore_qdbm_cmpkey.c \
-+@ENABLE_QDBM_DATASTORE_TRUE@@ENABLE_TDB_DATASTORE_FALSE@datastore_SOURCE = datastore_qdbm.c datastore_qdbm_cmpkey.c \
- @ENABLE_QDBM_DATASTORE_TRUE@@ENABLE_TDB_DATASTORE_FALSE@		   datastore_txn_dummies.c datastore_opthelp_dummies.c \
- @ENABLE_QDBM_DATASTORE_TRUE@@ENABLE_TDB_DATASTORE_FALSE@		   datastore_dummies.c
- 
-@@ -589,7 +588,7 @@
- 				datastore_db_trans.c \
- 				datastore_opthelp_dummies.c \
- 				datastore_txn_dummies.c \
--				datastore_qdbm.c \
-+				datastore_qdbm.h datastore_qdbm.c \
- 				datastore_tdb.c \
- 				datastore_sqlite.c
- 
diff -Nur /usr/ports/mail/bogofilter-sqlite/Makefile bogofilter-sqlite/Makefile
--- bogofilter-sqlite/Makefile	Thu May 26 14:05:08 2005
+++ bogofilter-sqlite/Makefile	Mon May 30 01:37:43 2005
@@ -18,8 +18,8 @@
 		[a-z][a-z]-bogofilter-[0-9]* bogofilter-current-[0-9]*
 
 CONFIGURE_ARGS=	--with-database=sqlite
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+BF_CPPFLAGS=	-I${LOCALBASE}/include
+BF_LIBS=
 DESCR=		${PKGDIR}/pkg-descr
 
 MASTERDIR=	${.CURDIR}/../bogofilter
diff -Nur /usr/ports/mail/bogofilter-tdb/Makefile bogofilter-tdb/Makefile
--- bogofilter-tdb/Makefile	Sun May 29 15:46:22 2005
+++ bogofilter-tdb/Makefile	Mon May 30 01:55:31 2005
@@ -15,9 +15,12 @@
 
 CONFLICTS=	bogofilter-[0-9]* bogofilter-qdbm-[0-9]* [a-z][a-z]-bogofilter-[0-9]* bogofilter-sqlite-[0-9]*
 
+DEPRECATED=	TDB is inefficient and unmaintained - use -qdbm or -sqlite
+EXPIRES=	2005-11-30
+
 CONFIGURE_ARGS=	--with-database=tdb
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+BF_CPPFLAGS=	-I${LOCALBASE}/include
+BF_LIBS=
 DESCR=		${PKGDIR}/pkg-descr
 
 MASTERDIR=	${.CURDIR}/../bogofilter
Comment 1 Yar Tikhiy freebsd_committer 2005-05-30 10:12:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->yar

I'm interested in this PR handled.
Comment 2 Yar Tikhiy freebsd_committer 2005-05-30 11:49:31 UTC
State Changed
From-To: open->closed

This patch looks good to me.  Committed, thanks! 
(The only issue was that there was no such file as 
bogofilter-qdbm/files/patch-graphcycle to remove from 
the -qdbm port.)